package iax.client.protocol.user.command;

import iax.client.protocol.call.Call;
import iax.client.protocol.frame.InfoElement;
import iax.client.protocol.frame.ProtocolControlFrame;
import iax.client.protocol.peer.Peer;

/**
 * Implements the user command that starts a new call.
 */
public class NewCall {

    public static void execute(Peer peer, String calledNumber) {
        try {
            Call call = peer.newCall(calledNumber);

            ProtocolControlFrame newCallFrame = 
                new ProtocolControlFrame(call.getSrcCallNo(), false, 0, 0L, call.getOseqno(),
                        call.getIseqno(), false, ProtocolControlFrame.NEW_SC);
            newCallFrame.setVersion(InfoElement.IAXVERSION_V);
            newCallFrame.setCalledNumber(calledNumber);
            newCallFrame.setCallingNumber(peer.getUserName());
            newCallFrame.setCapability(call.getAudioFactory().getCodec());
            newCallFrame.setFormat(call.getAudioFactory().getCodec());
            newCallFrame.setUserName(peer.getUserName());

            call.handleSendFrame(newCallFrame);

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}